QueryCriteria.VaultQueryCriteria
Keywords: net.corda.core.node.services.vault.QueryCriteria.VaultQueryCriteria class
Date: 2023-09-18

net.corda.core.node.services.vault

## Class QueryCriteria.VaultQueryCriteria

- net.corda.core.node.services.vault.QueryCriteria.VaultQueryCriteria

- Enclosing class:
    QueryCriteria

      public static class QueryCriteria.VaultQueryCriteria

  VaultQueryCriteria: provides query by attributes defined in VaultSchema.VaultStates

  See Also:
    VaultSchema.VaultStates

- - ### Constructor Detail

    - #### VaultQueryCriteria

          public VaultQueryCriteria(@NotNull
                                    net.corda.core.node.services.Vault.StateStatus status,
                                    @Nullable
                                    java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes,
                                    @Nullable
                                    java.util.List<net.corda.core.contracts.StateRef> stateRefs,
                                    @Nullable
                                    java.util.List<? extends net.corda.core.identity.AbstractParty> notary,
                                    @Nullable
                                    net.corda.core.node.services.vault.QueryCriteria.SoftLockingCondition softLockingCondition,
                                    @Nullable
                                    net.corda.core.node.services.vault.QueryCriteria.TimeCondition timeCondition,
                                    @NotNull
                                    net.corda.core.node.services.Vault.RelevancyStatus relevancyStatus,
                                    @NotNull
                                    java.util.Set<? extends net.corda.core.node.services.Vault.ConstraintInfo.Type> constraintTypes,
                                    @NotNull
                                    java.util.Set<net.corda.core.node.services.Vault.ConstraintInfo> constraints,
                                    @Nullable
                                    java.util.List<? extends net.corda.core.identity.AbstractParty> participants,
                                    @NotNull
                                    java.util.List<java.util.UUID> externalIds,
                                    @Nullable
                                    java.util.List<? extends net.corda.core.identity.AbstractParty> exactParticipants)

      VaultQueryCriteria: provides query by attributes defined in VaultSchema.VaultStates

      See Also:
        VaultSchema.VaultStates

    - #### VaultQueryCriteria

          public VaultQueryCriteria()

      VaultQueryCriteria: provides query by attributes defined in VaultSchema.VaultStates

      See Also:
        VaultSchema.VaultStates

    - #### VaultQueryCriteria

          public VaultQueryCriteria(@NotNull
                                    net.corda.core.node.services.Vault.StateStatus status,
                                    @Nullable
                                    java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes,
                                    @Nullable
                                    java.util.List<net.corda.core.contracts.StateRef> stateRefs,
                                    @Nullable
                                    java.util.List<? extends net.corda.core.identity.AbstractParty> notary,
                                    @Nullable
                                    net.corda.core.node.services.vault.QueryCriteria.SoftLockingCondition softLockingCondition,
                                    @Nullable
                                    net.corda.core.node.services.vault.QueryCriteria.TimeCondition timeCondition,
                                    @NotNull
                                    net.corda.core.node.services.Vault.RelevancyStatus relevancyStatus,
                                    @NotNull
                                    java.util.Set<? extends net.corda.core.node.services.Vault.ConstraintInfo.Type> constraintTypes,
                                    @NotNull
                                    java.util.Set<net.corda.core.node.services.Vault.ConstraintInfo> constraints,
                                    @Nullable
                                    java.util.List<? extends net.corda.core.identity.AbstractParty> participants,
                                    @NotNull
                                    java.util.List<java.util.UUID> externalIds)

    - #### VaultQueryCriteria

          public VaultQueryCriteria(@NotNull
                                    net.corda.core.node.services.Vault.StateStatus status,
                                    @Nullable
                                    java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes,
                                    @Nullable
                                    java.util.List<net.corda.core.contracts.StateRef> stateRefs,
                                    @Nullable
                                    java.util.List<? extends net.corda.core.identity.AbstractParty> notary,
                                    @Nullable
                                    net.corda.core.node.services.vault.QueryCriteria.SoftLockingCondition softLockingCondition,
                                    @Nullable
                                    net.corda.core.node.services.vault.QueryCriteria.TimeCondition timeCondition,
                                    @NotNull
                                    net.corda.core.node.services.Vault.RelevancyStatus relevancyStatus,
                                    @NotNull
                                    java.util.Set<? extends net.corda.core.node.services.Vault.ConstraintInfo.Type> constraintTypes,
                                    @NotNull
                                    java.util.Set<net.corda.core.node.services.Vault.ConstraintInfo> constraints,
                                    @Nullable
                                    java.util.List<? extends net.corda.core.identity.AbstractParty> participants)

    - #### VaultQueryCriteria

          public VaultQueryCriteria(@NotNull
                                    net.corda.core.node.services.Vault.StateStatus status,
                                    @Nullable
                                    java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes,
                                    @Nullable
                                    java.util.List<net.corda.core.contracts.StateRef> stateRefs,
                                    @Nullable
                                    java.util.List<? extends net.corda.core.identity.AbstractParty> notary,
                                    @Nullable
                                    net.corda.core.node.services.vault.QueryCriteria.SoftLockingCondition softLockingCondition,
                                    @Nullable
                                    net.corda.core.node.services.vault.QueryCriteria.TimeCondition timeCondition)

    - #### VaultQueryCriteria

          public VaultQueryCriteria(@NotNull
                                    net.corda.core.node.services.Vault.StateStatus status)

    - #### VaultQueryCriteria

          public VaultQueryCriteria(@NotNull
                                    net.corda.core.node.services.Vault.StateStatus status,
                                    @Nullable
                                    java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes)

    - #### VaultQueryCriteria

          public VaultQueryCriteria(@NotNull
                                    net.corda.core.node.services.Vault.StateStatus status,
                                    @Nullable
                                    java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes,
                                    @Nullable
                                    java.util.List<net.corda.core.contracts.StateRef> stateRefs)

    - #### VaultQueryCriteria

          public VaultQueryCriteria(@NotNull
                                    net.corda.core.node.services.Vault.StateStatus status,
                                    @Nullable
                                    java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes,
                                    @Nullable
                                    java.util.List<net.corda.core.contracts.StateRef> stateRefs,
                                    @Nullable
                                    java.util.List<? extends net.corda.core.identity.AbstractParty> notary)

    - #### VaultQueryCriteria

          public VaultQueryCriteria(@NotNull
                                    net.corda.core.node.services.Vault.StateStatus status,
                                    @Nullable
                                    java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes,
                                    @Nullable
                                    java.util.List<net.corda.core.contracts.StateRef> stateRefs,
                                    @Nullable
                                    java.util.List<? extends net.corda.core.identity.AbstractParty> notary,
                                    @Nullable
                                    net.corda.core.node.services.vault.QueryCriteria.SoftLockingCondition softLockingCondition)

  - ### Method Detail

    - #### visit

          @NotNull
          public java.util.Collection<javax.persistence.criteria.Predicate> visit(@NotNull
                                                                                           IQueryCriteriaParser parser)

    - #### withRelevancyStatus

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.VaultQueryCriteria withRelevancyStatus(@NotNull
                                                                                                                  net.corda.core.node.services.Vault.RelevancyStatus relevancyStatus)

      This function creates a new `class QueryCriteria.VaultQueryCriteria` object with default values, and sets the value of `relevancyStatus`. Please use only one function in this group at a time to make sure they are not overwriting each other.

      See Also:
        `class QueryCriteria.VaultQueryCriteria`, `relevancyStatus`

    - #### withConstraintTypes

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.VaultQueryCriteria withConstraintTypes(@NotNull
                                                                                                                  java.util.Set<? extends net.corda.core.node.services.Vault.ConstraintInfo.Type> constraintTypes)

      This function creates a new `class QueryCriteria.VaultQueryCriteria` object with default values, and sets the value of `constraintTypes`. Please use only one function in this group at a time to make sure they are not overwriting each other.

      See Also:
        `class QueryCriteria.VaultQueryCriteria`, `constraintTypes`

    - #### withConstraints

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.VaultQueryCriteria withConstraints(@NotNull
                                                                                                              java.util.Set<net.corda.core.node.services.Vault.ConstraintInfo> constraints)

      This function creates a new `class QueryCriteria.VaultQueryCriteria` object with default values, and sets the value of `constraints`. Please use only one function in this group at a time to make sure they are not overwriting each other.

      See Also:
        `class QueryCriteria.VaultQueryCriteria`, `constraints`

    - #### withParticipants

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.VaultQueryCriteria withParticipants(@NotNull
                                                                                                               java.util.List<? extends net.corda.core.identity.AbstractParty> participants)

      This function creates a new `class QueryCriteria.VaultQueryCriteria` object with default values, and sets the value of `participants`. Please use only one function in this group at a time to make sure they are not overwriting each other.

      See Also:
        `class QueryCriteria.VaultQueryCriteria`, `participants`

    - #### withExternalIds

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.VaultQueryCriteria withExternalIds(@NotNull
                                                                                                              java.util.List<java.util.UUID> externalIds)

      This function creates a new `class QueryCriteria.VaultQueryCriteria` object with default values, and sets the value of `externalIds`. Please use only one function in this group at a time to make sure they are not overwriting each other.

      See Also:
        `class QueryCriteria.VaultQueryCriteria`, `externalIds`

    - #### withExactParticipants

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.VaultQueryCriteria withExactParticipants(@NotNull
                                                                                                                    java.util.List<? extends net.corda.core.identity.AbstractParty> exactParticipants)

      This function creates a new `class QueryCriteria.VaultQueryCriteria` object with default values, and sets the value of `exactParticipants`. Please use only one function in this group at a time to make sure they are not overwriting each other.

      See Also:
        `class QueryCriteria.VaultQueryCriteria`, `exactParticipants`

    - #### withStatus

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.VaultQueryCriteria withStatus(@NotNull
                                                                                                         net.corda.core.node.services.Vault.StateStatus status)

      This function copies the existing `class QueryCriteria.VaultQueryCriteria` object and sets the given value for `status`. You can use more than one of the functions in this group together. In case you are also using a function that creates a new `class QueryCriteria.VaultQueryCriteria` object, make sure that you are calling that method first.

      See Also:
        `class QueryCriteria.VaultQueryCriteria`, `status`, `class QueryCriteria.VaultQueryCriteria`

    - #### withContractStateTypes

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.VaultQueryCriteria withContractStateTypes(@NotNull
                                                                                                                     java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes)

      This function copies the existing `class QueryCriteria.VaultQueryCriteria` object and sets the given value for `contractStateTypes`. You can use more than one of the functions in this group together. In case you are also using a function that creates a new `class QueryCriteria.VaultQueryCriteria` object, make sure that you are calling that method first.

      See Also:
        `class QueryCriteria.VaultQueryCriteria`, `contractStateTypes`, `class QueryCriteria.VaultQueryCriteria`

    - #### withStateRefs

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.VaultQueryCriteria withStateRefs(@NotNull
                                                                                                            java.util.List<net.corda.core.contracts.StateRef> stateRefs)

      This function copies the existing `class QueryCriteria.VaultQueryCriteria` object and sets the given value for `stateRefs`. You can use more than one of the functions in this group together. In case you are also using a function that creates a new `class QueryCriteria.VaultQueryCriteria` object, make sure that you are calling that method first.

      See Also:
        `class QueryCriteria.VaultQueryCriteria`, `stateRefs`, `class QueryCriteria.VaultQueryCriteria`

    - #### withNotary

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.VaultQueryCriteria withNotary(@NotNull
                                                                                                         java.util.List<? extends net.corda.core.identity.AbstractParty> notary)

      This function copies the existing `class QueryCriteria.VaultQueryCriteria` object and sets the given value for `notary`. You can use more than one of the functions in this group together. In case you are also using a function that creates a new `class QueryCriteria.VaultQueryCriteria` object, make sure that you are calling that method first.

      See Also:
        `class QueryCriteria.VaultQueryCriteria`, `notary`, `class QueryCriteria.VaultQueryCriteria`

    - #### withSoftLockingCondition

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.VaultQueryCriteria withSoftLockingCondition(@NotNull
                                                                                                                       net.corda.core.node.services.vault.QueryCriteria.SoftLockingCondition softLockingCondition)

      This function copies the existing `class QueryCriteria.VaultQueryCriteria` object and sets the given value for `softLockingCondition`. You can use more than one of the functions in this group together. In case you are also using a function that creates a new `class QueryCriteria.VaultQueryCriteria` object, make sure that you are calling that method first.

      See Also:
        `class QueryCriteria.VaultQueryCriteria`, `softLockingCondition`, `class QueryCriteria.VaultQueryCriteria`

    - #### withTimeCondition

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.VaultQueryCriteria withTimeCondition(@NotNull
                                                                                                                net.corda.core.node.services.vault.QueryCriteria.TimeCondition timeCondition)

      This function copies the existing `class QueryCriteria.VaultQueryCriteria` object and sets the given value for `timeCondition`. You can use more than one of the functions in this group together. In case you are also using a function that creates a new `class QueryCriteria.VaultQueryCriteria` object, make sure that you are calling that method first.

      See Also:
        `class QueryCriteria.VaultQueryCriteria`, `timeCondition`, `class QueryCriteria.VaultQueryCriteria`

    - #### copy

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.VaultQueryCriteria copy(@NotNull
                                                                                                   net.corda.core.node.services.Vault.StateStatus status,
                                                                                                   @Nullable
                                                                                                   java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes,
                                                                                                   @Nullable
                                                                                                   java.util.List<net.corda.core.contracts.StateRef> stateRefs,
                                                                                                   @Nullable
                                                                                                   java.util.List<? extends net.corda.core.identity.AbstractParty> notary,
                                                                                                   @Nullable
                                                                                                   net.corda.core.node.services.vault.QueryCriteria.SoftLockingCondition softLockingCondition,
                                                                                                   @Nullable
                                                                                                   net.corda.core.node.services.vault.QueryCriteria.TimeCondition timeCondition,
                                                                                                   @NotNull
                                                                                                   net.corda.core.node.services.Vault.RelevancyStatus relevancyStatus,
                                                                                                   @NotNull
                                                                                                   java.util.Set<? extends net.corda.core.node.services.Vault.ConstraintInfo.Type> constraintTypes,
                                                                                                   @NotNull
                                                                                                   java.util.Set<net.corda.core.node.services.Vault.ConstraintInfo> constraints,
                                                                                                   @Nullable
                                                                                                   java.util.List<? extends net.corda.core.identity.AbstractParty> participants,
                                                                                                   @NotNull
                                                                                                   java.util.List<java.util.UUID> externalIds)

      This function creates a `class QueryCriteria.VaultQueryCriteria` object with the given values. All other fields have the default values set.

      See Also:
        `class QueryCriteria.VaultQueryCriteria`

    - #### copy

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.VaultQueryCriteria copy(@NotNull
                                                                                                   net.corda.core.node.services.Vault.StateStatus status,
                                                                                                   @Nullable
                                                                                                   java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes,
                                                                                                   @Nullable
                                                                                                   java.util.List<net.corda.core.contracts.StateRef> stateRefs,
                                                                                                   @Nullable
                                                                                                   java.util.List<? extends net.corda.core.identity.AbstractParty> notary,
                                                                                                   @Nullable
                                                                                                   net.corda.core.node.services.vault.QueryCriteria.SoftLockingCondition softLockingCondition,
                                                                                                   @Nullable
                                                                                                   net.corda.core.node.services.vault.QueryCriteria.TimeCondition timeCondition,
                                                                                                   @NotNull
                                                                                                   net.corda.core.node.services.Vault.RelevancyStatus relevancyStatus,
                                                                                                   @NotNull
                                                                                                   java.util.Set<? extends net.corda.core.node.services.Vault.ConstraintInfo.Type> constraintTypes,
                                                                                                   @NotNull
                                                                                                   java.util.Set<net.corda.core.node.services.Vault.ConstraintInfo> constraints,
                                                                                                   @Nullable
                                                                                                   java.util.List<? extends net.corda.core.identity.AbstractParty> participants)

      This function creates a `class QueryCriteria.VaultQueryCriteria` object with the given values. All other fields have the default values set.

      See Also:
        `class QueryCriteria.VaultQueryCriteria`

    - #### copy

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.VaultQueryCriteria copy(@NotNull
                                                                                                   net.corda.core.node.services.Vault.StateStatus status,
                                                                                                   @Nullable
                                                                                                   java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes,
                                                                                                   @Nullable
                                                                                                   java.util.List<net.corda.core.contracts.StateRef> stateRefs,
                                                                                                   @Nullable
                                                                                                   java.util.List<? extends net.corda.core.identity.AbstractParty> notary,
                                                                                                   @Nullable
                                                                                                   net.corda.core.node.services.vault.QueryCriteria.SoftLockingCondition softLockingCondition,
                                                                                                   @Nullable
                                                                                                   net.corda.core.node.services.vault.QueryCriteria.TimeCondition timeCondition)

      This function copies `class QueryCriteria.VaultQueryCriteria` object.

      See Also:
        `class QueryCriteria.VaultQueryCriteria`

    - #### getStatus

          @NotNull
          public net.corda.core.node.services.Vault.StateStatus getStatus()

    - #### getContractStateTypes

          @Nullable
          public java.util.Set<java.lang.Class> getContractStateTypes()

    - #### getStateRefs

          @Nullable
          public java.util.List<net.corda.core.contracts.StateRef> getStateRefs()

    - #### getNotary

          @Nullable
          public java.util.List<net.corda.core.identity.AbstractParty> getNotary()

    - #### getSoftLockingCondition

          @Nullable
          public net.corda.core.node.services.vault.QueryCriteria.SoftLockingCondition getSoftLockingCondition()

    - #### getTimeCondition

          @Nullable
          public net.corda.core.node.services.vault.QueryCriteria.TimeCondition getTimeCondition()

    - #### getRelevancyStatus

          @NotNull
          public net.corda.core.node.services.Vault.RelevancyStatus getRelevancyStatus()

    - #### getConstraintTypes

          @NotNull
          public java.util.Set<net.corda.core.node.services.Vault.ConstraintInfo.Type> getConstraintTypes()

    - #### getConstraints

          @NotNull
          public java.util.Set<net.corda.core.node.services.Vault.ConstraintInfo> getConstraints()

    - #### getParticipants

          @Nullable
          public java.util.List<net.corda.core.identity.AbstractParty> getParticipants()

    - #### getExternalIds

          @NotNull
          public java.util.List<java.util.UUID> getExternalIds()

    - #### getExactParticipants

          @Nullable
          public java.util.List<net.corda.core.identity.AbstractParty> getExactParticipants()

    - #### component1

          @NotNull
          public net.corda.core.node.services.Vault.StateStatus component1()

    - #### component2

          @Nullable
          public java.util.Set<java.lang.Class> component2()

    - #### component3

          @Nullable
          public java.util.List<net.corda.core.contracts.StateRef> component3()

    - #### component4

          @Nullable
          public java.util.List<net.corda.core.identity.AbstractParty> component4()

    - #### component5

          @Nullable
          public net.corda.core.node.services.vault.QueryCriteria.SoftLockingCondition component5()

    - #### component6

          @Nullable
          public net.corda.core.node.services.vault.QueryCriteria.TimeCondition component6()

    - #### component7

          @NotNull
          public net.corda.core.node.services.Vault.RelevancyStatus component7()

    - #### component8

          @NotNull
          public java.util.Set<net.corda.core.node.services.Vault.ConstraintInfo.Type> component8()

    - #### component9

          @NotNull
          public java.util.Set<net.corda.core.node.services.Vault.ConstraintInfo> component9()

    - #### component10

          @Nullable
          public java.util.List<net.corda.core.identity.AbstractParty> component10()

    - #### component11

          @NotNull
          public java.util.List<java.util.UUID> component11()

    - #### component12

          @Nullable
          public java.util.List<net.corda.core.identity.AbstractParty> component12()

    - #### copy

          @NotNull
          public net.corda.core.node.services.vault.QueryCriteria.VaultQueryCriteria copy(@NotNull
                                                                                                   net.corda.core.node.services.Vault.StateStatus status,
                                                                                                   @Nullable
                                                                                                   java.util.Set<? extends java.lang.Class<? extends net.corda.core.contracts.ContractState>> contractStateTypes,
                                                                                                   @Nullable
                                                                                                   java.util.List<net.corda.core.contracts.StateRef> stateRefs,
                                                                                                   @Nullable
                                                                                                   java.util.List<? extends net.corda.core.identity.AbstractParty> notary,
                                                                                                   @Nullable
                                                                                                   net.corda.core.node.services.vault.QueryCriteria.SoftLockingCondition softLockingCondition,
                                                                                                   @Nullable
                                                                                                   net.corda.core.node.services.vault.QueryCriteria.TimeCondition timeCondition,
                                                                                                   @NotNull
                                                                                                   net.corda.core.node.services.Vault.RelevancyStatus relevancyStatus,
                                                                                                   @NotNull
                                                                                                   java.util.Set<? extends net.corda.core.node.services.Vault.ConstraintInfo.Type> constraintTypes,
                                                                                                   @NotNull
                                                                                                   java.util.Set<net.corda.core.node.services.Vault.ConstraintInfo> constraints,
                                                                                                   @Nullable
                                                                                                   java.util.List<? extends net.corda.core.identity.AbstractParty> participants,
                                                                                                   @NotNull
                                                                                                   java.util.List<java.util.UUID> externalIds,
                                                                                                   @Nullable
                                                                                                   java.util.List<? extends net.corda.core.identity.AbstractParty> exactParticipants)

      VaultQueryCriteria: provides query by attributes defined in VaultSchema.VaultStates

      See Also:
        VaultSchema.VaultStates

    - #### toString

          @NotNull
          public java.lang.String toString()

      VaultQueryCriteria: provides query by attributes defined in VaultSchema.VaultStates

      See Also:
        VaultSchema.VaultStates

    - #### hashCode

          public int hashCode()

      VaultQueryCriteria: provides query by attributes defined in VaultSchema.VaultStates

      See Also:
        VaultSchema.VaultStates

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      VaultQueryCriteria: provides query by attributes defined in VaultSchema.VaultStates

      See Also:
        VaultSchema.VaultStates